/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/

#ifndef NFSCLIENTAPI_C_H
#define NFSCLIENTAPI_C_H

#include "stdlib.h"


#ifdef __cplusplus
extern "C" {
#endif
    //开始安全接口功能
    void startApi();
    //停止安全接口功能
    void stopApi();

    //添加单个文件
    void imaAddFile(const char *path, const int nsize);
    //添加多个文件
    void imaAddFiles(char **ppathArr, const int narrSize);

    //配置主体
    void macAddPriDetail(const int nmodel, const int nrank, char *cuser, const int nope);
    //配置客体
    void macAddObjDetail(const int nmodel, const int nrank, char *cpath, const int nope);
    //配置模型
    void macConfigModel(const int nmodel);
#ifdef __cplusplus
}
#endif

#endif // NFSCLIENTAPI_C_H
